%define major 2
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Summary:	Resizing, colorspace and bit depth conversion library
Name:		zimg
Version:	2.6.1
Release:	1
License:	LGPLv2.1+
Group:		System/Libraries
Url:		https://github.com/sekrit-twc/zimg
Source0:	https://github.com/sekrit-twc/zimg/archive/release-%{version}/%{name}-%{version}.tar.gz

%description
The "z" library implements the commonly required image processing
basics of scaling, colorspace conversion, and depth conversion. A
simple API enables conversion between any supported formats to operate
with minimal knowledge from the programmer. All library routines were
designed from the ground-up with flexibility, thread-safety, and
correctness as first priorities. Allocation, buffering, and I/O are
cleanly separated from processing, allowing the programmer to adapt
"z" to many scenarios.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Resizing, colorspace and bit depth conversion library
Group:		System/Libraries

%description -n %{libname}
The "z" library implements the commonly required image processing
basics of scaling, colorspace conversion, and depth conversion. A
simple API enables conversion between any supported formats to operate
with minimal knowledge from the programmer. All library routines were
designed from the ground-up with flexibility, thread-safety, and
correctness as first priorities. Allocation, buffering, and I/O are
cleanly separated from processing, allowing the programmer to adapt
"z" to many scenarios.

%files -n %{libname}
%{_libdir}/libzimg.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
Development files for %{name}.

%files -n %{devname}
%doc COPYING ChangeLog README.md
%{_includedir}/zimg.h
%{_includedir}/zimg++.hpp
%{_libdir}/libzimg.so
%{_libdir}/pkgconfig/zimg.pc

#----------------------------------------------------------------------------

%prep
%setup -qn zimg-release-%{version}

%build
autoreconf -fi
%configure2_5x \
	--disable-static

%make

%install
%makeinstall_std

rm -rf %{buildroot}%{_datadir}/doc/%{name}

%changelog

* Fri Oct 13 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.6.1-1
- (d64b624) Minor cleanups


